Supplier orders: Bimp API methods
Bimp API methods for the “Supplier orders” resource (/org2/invoiceForSupplierPayment/…): 6 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
| Method | What it does |
|---|---|
POST /org2/invoiceForSupplierPayment/api-read | Read invoice for supplier payment by uuid |
POST /org2/invoiceForSupplierPayment/api-readList | |
POST /org2/invoiceForSupplierPayment/api-create | Create invoice for supplier payment |
POST /org2/invoiceForSupplierPayment/api-update | Update invoice for supplier payment |
POST /org2/invoiceForSupplierPayment/api-readStatuses | |
POST /org2/invoiceForSupplierPayment/api-cancel | Cancel an invoice for supplier payment document |
api-read
POST /org2/invoiceForSupplierPayment/api-read
Read invoice for supplier payment by uuid
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | |
date | string | |
number | string | |
author | string (uuid) | |
comment | string | |
contract | string (uuid) | |
organization | string (uuid) | |
baseDocument | string (uuid) | |
name | string | |
warehouse | string (uuid) | |
priceList | string (uuid) | |
counterparty | string (uuid) | |
shipmentDate | string | |
status | string (uuid) | |
daysPostponed | string (uuid) | |
addVAT | boolean | |
sum | number | |
VAT | number | |
setUpByContract | boolean | |
amountReserveDays | number | |
invoiceForCustomerPayment | string (uuid) | |
settlementType | string (uuid) | |
bankAccount | string (uuid) | |
costWOVat | boolean | |
orderInTablePart | boolean | |
project | string (uuid) | |
automaticPaymentsPlanning | boolean | |
responsible | string (uuid) | |
mainRate | number | |
priceRate | number | |
processing | boolean | An informational flag marking the document as related to tolling (processing) |
products | object[] | |
products[].nomenclature | string (uuid) | |
products[].name | string | |
products[].article | string | |
products[].sku | string | |
products[].unitsOfMeasurment | string (uuid) | |
products[].quantity | number | |
products[].price | number | |
products[].sum | number | |
products[].lineOfBusiness | string (uuid) | |
products[].project | string (uuid) | |
products[].discountPercent | number | |
products[].reserve | number | |
products[].invoiceForCustomerPayment | string (uuid) | |
products[].discount | number | |
products[].VATaccounted | string (uuid) | |
products[].VATamount | number | |
products[].leftovers | number | |
products[].supplierNomenclature | string |
curl -X POST 'https://app.bimpsoft.com/org2/invoiceForSupplierPayment/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readList
POST /org2/invoiceForSupplierPayment/api-readList
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
pagination | object | yes | |
pagination.offset | number | yes | |
pagination.count | number | yes | |
filters | object | ||
filters.organization | string (uuid)[] | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
filters.counterparty | string (uuid)[] | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request | |
filters.nomenclature | string (uuid)[] | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request | |
filters.author | string (uuid)[] | A unique identifier for the Author, obtainable from the /user/api-readList request | |
filters.invoiceForSupplierPaymentStatus | string (uuid)[] | A unique status for the Invoice for supplier payment, obtainable from the /invoiceForSupplierPayment/api-readStatuses request | |
filters.paymentType | string (uuid)[] | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request | |
filters.sum | object[] | Filter by sum range [min, max] | |
filters.comment | string | An optional text field for any additional notes or comments related to the document | |
filters.date | object[] | ||
filters.created | string[] | Filter by actual creation date range [date1, date2] | |
filters.updated | string[] | Filter by update date range [date1, date2] |
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | |
[].name | string | |
[].number | string | |
[].date | string | |
[].comment | string | |
[].sum | number | |
[].currency | string | |
[].counterparty | string | |
[].organization | string | |
[].responsible | string | |
[].status | string | |
[].hasAttachments | boolean | |
[].products | object[] | |
[].products[].nomenclature | string (uuid) | |
[].products[].name | string | |
[].products[].article | string | |
[].products[].sku | string | |
[].products[].unitsOfMeasurment | string (uuid) | |
[].products[].quantity | number | |
[].products[].price | number | |
[].products[].sum | number | |
[].products[].lineOfBusiness | string (uuid) | |
[].products[].project | string (uuid) | |
[].products[].discountPercent | number | |
[].products[].reserve | number | |
[].products[].invoiceForCustomerPayment | string (uuid) | |
[].products[].discount | number | |
[].products[].VATaccounted | string (uuid) | |
[].products[].VATamount | number | |
[].products[].leftovers | number | |
[].products[].supplierNomenclature | string |
curl -X POST 'https://app.bimpsoft.com/org2/invoiceForSupplierPayment/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":20}}'
api-create
POST /org2/invoiceForSupplierPayment/api-create
Create invoice for supplier payment
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
counterparty | string (uuid) | yes | A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request |
contract | string (uuid) | yes | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
organization | string (uuid) | yes | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
warehouse | string (uuid) | yes | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
project | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
author | string (uuid) | yes | A unique identifier for the Author, obtainable from the /user/api-readList request |
automaticPaymentsPlanning | boolean | Adding to payment calendar | |
bankAccount | string (uuid) | A unique identifier for the Bank account, obtainable from the /bankAccounts/api-readList request | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
orderInTablePart | boolean | Flag set when the user pressed the ‘Item in the table section’ button (item set per product line) | |
products | object[] | ||
products[].nomenclature | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
products[].quantity | number | yes | The amount of items |
products[].price | number | yes | The price of the item/document |
products[].lineOfBusiness | string (uuid) | yes | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
products[].project | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
products[].unitOfMeasurment | string (uuid) | yes | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
products[].leftovers | number | The amount of leftovers | |
products[].discountPercent | number | The discount percent amount applied to the item | |
products[].reserve | number | The amount of the product that has been reserved | |
products[].VATaccounted | string (uuid) | Value indicating whether VAT (Value Added Tax) has been accounted for | |
products[].sum | number | The sum of the document | |
products[].VATamount | number | The amount of the VAT | |
products[].discount | number | The discount amount applied to the item | |
products[].invoiceForCustomerPayment | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request | |
products[].supplierNomenclature | string | Supplier nomenclature name | |
VAT | number | The total amount of Value Added Tax (VAT) applied | |
lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request | |
number | string | The document’s number. Use this field if you need to specify a custom number | |
internalNumber | string | The internal document’s number. Use this field if you need to specify a custom number | |
comment | string | An optional text field for any additional notes or comments related to the document | |
responsible | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList request | |
daysPostponed | string (uuid) | The amount of the days postponed | |
priceListSuppliers | string (uuid) | A unique identifier for the Price List, obtainable from the /priceList/api-readList request | |
invoiceForSupplierPaymentStatus | string (uuid) | A unique status for the Invoice for supplier payment, obtainable from the /invoiceForSupplierPayment/api-readStatuses request | |
invoiceForCustomerPayment | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request | |
amountReserveDays | number | The amount of reserved days | |
addVAT | boolean | Boolean flag equivalent to the ‘Include VAT’. Set to true to apply VAT calculations. | |
processing | boolean | An informational flag marking the document as related to tolling (processing) |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string |
curl -X POST 'https://app.bimpsoft.com/org2/invoiceForSupplierPayment/api-create' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"counterparty":"00000000-0000-0000-0000-000000000000","contract":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","warehouse":"00000000-0000-0000-0000-000000000000","project":"00000000-0000-0000-0000-000000000000","author":"00000000-0000-0000-0000-000000000000"}'
api-update
POST /org2/invoiceForSupplierPayment/api-update
Update invoice for supplier payment
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | |
counterparty | string (uuid) | yes | A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request |
contract | string (uuid) | yes | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
organization | string (uuid) | yes | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
warehouse | string (uuid) | yes | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
project | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
author | string (uuid) | yes | A unique identifier for the Author, obtainable from the /user/api-readList request |
automaticPaymentsPlanning | boolean | Adding to payment calendar | |
bankAccount | string (uuid) | A unique identifier for the Bank account, obtainable from the /bankAccounts/api-readList request | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
orderInTablePart | boolean | Flag set when the user pressed the ‘Item in the table section’ button (item set per product line) | |
products | object[] | ||
products[].nomenclature | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
products[].quantity | number | yes | The amount of items |
products[].price | number | yes | The price of the item/document |
products[].lineOfBusiness | string (uuid) | yes | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
products[].project | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
products[].unitOfMeasurment | string (uuid) | yes | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
products[].leftovers | number | The amount of leftovers | |
products[].discountPercent | number | The discount percent amount applied to the item | |
products[].reserve | number | The amount of the product that has been reserved | |
products[].VATaccounted | string (uuid) | Value indicating whether VAT (Value Added Tax) has been accounted for | |
products[].sum | number | The sum of the document | |
products[].VATamount | number | The amount of the VAT | |
products[].discount | number | The discount amount applied to the item | |
products[].invoiceForCustomerPayment | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request | |
products[].supplierNomenclature | string | Supplier nomenclature name | |
VAT | number | The total amount of Value Added Tax (VAT) applied | |
lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request | |
number | string | The document’s number. Use this field if you need to specify a custom number | |
internalNumber | string | The internal document’s number. Use this field if you need to specify a custom number | |
comment | string | An optional text field for any additional notes or comments related to the document | |
responsible | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList request | |
daysPostponed | string (uuid) | The amount of the days postponed | |
priceListSuppliers | string (uuid) | A unique identifier for the Price List, obtainable from the /priceList/api-readList request | |
invoiceForSupplierPaymentStatus | string (uuid) | A unique status for the Invoice for supplier payment, obtainable from the /invoiceForSupplierPayment/api-readStatuses request | |
invoiceForCustomerPayment | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request | |
amountReserveDays | number | The amount of reserved days | |
addVAT | boolean | Boolean flag equivalent to the ‘Include VAT’. Set to true to apply VAT calculations. | |
processing | boolean | An informational flag marking the document as related to tolling (processing) |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string |
curl -X POST 'https://app.bimpsoft.com/org2/invoiceForSupplierPayment/api-update' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000","counterparty":"00000000-0000-0000-0000-000000000000","contract":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","warehouse":"00000000-0000-0000-0000-000000000000","project":"00000000-0000-0000-0000-000000000000","author":"00000000-0000-0000-0000-000000000000"}'
api-readStatuses
POST /org2/invoiceForSupplierPayment/api-readStatuses
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | |
[].name | string |
curl -X POST 'https://app.bimpsoft.com/org2/invoiceForSupplierPayment/api-readStatuses' \
-H 'access-token: <company token>'
api-cancel
POST /org2/invoiceForSupplierPayment/api-cancel
Cancel an invoice for supplier payment document
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for the invoice for supplier payment document |
Response: data field
| Field | Type | Description |
|---|---|---|
success | boolean (true) |
curl -X POST 'https://app.bimpsoft.com/org2/invoiceForSupplierPayment/api-cancel' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.